Author Topic: Aggiornamento sistema con quesiti  (Read 1218 times)

0 Members and 1 Guest are viewing this topic.

Offline emmedi

  • Neuling
  • *
  • Posts: 35
  • I'm new. Be nice!
  • Branch: stable
  • Desktop: KDE
  • GPU Card: RS780D [Radeon HD 3300]
  • GPU driver: free
  • Skill: Novice
Aggiornamento sistema con quesiti
« on: 29. August 2015, 09:41:16 »
Ho provato ad aggiornare una versione di manjaro (0.8.12 con plasma) che avevo installato qualche tempo fa su una partizione ed il sistema mi pone una serie di quesiti.
Ho provato a rispondere cercando i singoli pacchetti sul sito di arch: alcuni non esistono, quindi ho selezionato quello presente nei repository, mentre per altri ho scelto la versione che mi pareva più aggiornata.
Il risultato è che non son riuscito ad aggiornare.
Le combinazioni potrebbero essere tante, e di conseguenza anche il tempo speso a starci dietro.
Non esiste qualche opzione di pacman perché risolva da solo questi problemi?

Tra l'altro ho installato manjaro anche a mia sorella: ha saltato solamente gli ultimi due aggiornamenti ed anche a lei vengono proposti quesiti simili...

Ciao  ;)

Quote
:: Aggiornamento del sistema in corso...
:: Vuoi sostituire akonadi con extra/akonadi-qt4? [S/n] n
:: Vuoi sostituire baloo-frameworks con extra/baloo? [S/n] s
:: Vuoi sostituire bluedevil-frameworks con extra/bluedevil? [S/n] s
:: Vuoi sostituire kcm-touchpad-frameworks con extra/plasma-desktop? [S/n] s
:: Vuoi sostituire kcmsystemd con community/systemd-kcm? [S/n] s
:: Vuoi sostituire kde-gtk-config-frameworks con extra/kde-gtk-config? [S/n] s
:: Vuoi sostituire kdepim-runtime con extra/kdepim4-runtime? [S/n] n
:: Vuoi sostituire kdepimlibs con extra/kdepimlibs4? [S/n] s
:: Vuoi sostituire kdeplasma-addons-frameworks con extra/kdeplasma-addons? [S/n] s
:: Vuoi sostituire kdeutils-filelight con extra/filelight? [S/n] s
:: Vuoi sostituire kdeutils-kcalc con extra/kcalc? [S/n] s
:: Vuoi sostituire kscreen-frameworks con extra/kscreen? [S/n] s
:: Vuoi sostituire lib32-libappindicator con multilib/lib32-libappindicator-gtk2? [S/n] s
:: Vuoi sostituire lib32-libindicator con multilib/lib32-libindicator-gtk2? [S/n] s
:: Vuoi sostituire libcl con extra/ocl-icd? [S/n] s
:: Vuoi sostituire libdbusmenu-qt con extra/libdbusmenu-qt4? [S/n] s
:: Vuoi sostituire libkgapi con extra/libkgapi4? [S/n] n
:: Vuoi sostituire libkolab con extra/libkolab4? [S/n] n
:: Vuoi sostituire libkscreen-frameworks con extra/libkscreen? [S/n] s
:: Vuoi sostituire polkit-kde-frameworks con extra/polkit-kde-agent? [S/n] s
risoluzione delle dipendenze in corso...
ricerca dei pacchetti in conflitto in corso...
:: bluez-qt e libbluedevil-frameworks vanno in conflitto. Vuoi rimuovere libbluedevil-frameworks? [s/N] s
:: libakonadi-qt4 e akonadi vanno in conflitto. Vuoi rimuovere akonadi? [s/N] n
errore: sono stati rilevati dei conflitti irrisolvibili tra i pacchetti
errore: impossibile eseguire l'operazione richiesta (dipendenze in conflitto)
:: libakonadi-qt4 e akonadi vanno in conflitto (akonadi<15)

Premere un tasto qualsiasi per continuare...

Offline Cubanpit

  • Sr. Mitglied
  • ****
  • Posts: 276
  • Skill: Novice
Re: Aggiornamento sistema con quesiti
« Reply #1 on: 29. August 2015, 10:36:44 »
Prova a rispondete "sì" a tutti, d'altronde è l'opzione consigliata (in maiuscolo) quindi probabilmente è quella corretta.
Probabilmente dall'ultimo aggiornamento quei pacchetti hanno cambiato nome nei repository, quindi ti chiede se eseguire la sostituzione nonostante sia solo un cambio di nome, è normale.
Non mi stupisco che tu non ti sia chiarito le idee guardando tra i pacchetti di Arch, visto che Manjaro organizza spesso i pacchetti in modo diverso (o ha pacchetti che Arch non ha nei repository o viceversa).
Ti consiglio tra l'altro di tenerlo aggiornato quasi continuamente, altrimenti c'è il rischio di errori durante l'aggiornamento.  ;)
Laptop: Lenovo Ideapad Flex 14 (2013) // Graphics: Intel HD Haswell - Free Driver // DE: KDE Plasma 5 // Kernel: Linux 4.6 // Branch: Testing
PC: Graphics: ATI Radeon X1600 PRO - Free Driver // WM: i3 // Kernel: Linux 4.4 // Branch: Stable

Offline emmedi

  • Neuling
  • *
  • Posts: 35
  • I'm new. Be nice!
  • Branch: stable
  • Desktop: KDE
  • GPU Card: RS780D [Radeon HD 3300]
  • GPU driver: free
  • Skill: Novice
Re: Aggiornamento sistema con quesiti
« Reply #2 on: 29. August 2015, 12:14:21 »
Anche scegliendo l'opzione indicata con il maiuscolo non va.
In questi giorni provo il medesimo sistema con il pc di mia sorella che è in arretrato di meno aggiornamenti.

Grazie ugualmente  ;)

Offline Ste74

  • Support Team
  • ****
  • Posts: 1256
  • sudo pacman -Rs windows && sudo pacman -S manjaro
  • Branch: unstable
  • Desktop: Budgie / Gnome / Pantheon (testing)
  • GPU Card: ATI/Intel mobility radeon hd 5400
  • GPU driver: free
  • Kernel: linux4.x -x86_64 series
  • Skill: Advanced
Re: Aggiornamento sistema con quesiti
« Reply #3 on: 29. August 2015, 16:23:04 »
Non sempre il maiuscolo vuol dire rispondere con l'opzione in maiuscolo anche dove in maiuscolo c'è un no prova a rispondere si ..
la prossima volta posta tutto il listato da prompt a prompt per vedere se hai altri msg di errore usando il "code" non il "quote"..

Ricordiamoci poi che parliamo di una rolling, è buona norma almeno prevedere un'aggiornamento alla settimana se sei su stabile ... comunque da 0.8.12 ad oggi in kde è cambiato il mondo .. se non hai mai aggiornato speriamo bene ..
Pantheon Community Edition & Budgie Desktop Edition
www.forum.manjaro-it.org
Canale IRC italiano
#manjaro-it

Offline Cubanpit

  • Sr. Mitglied
  • ****
  • Posts: 276
  • Skill: Novice
Re: Aggiornamento sistema con quesiti
« Reply #4 on: 29. August 2015, 23:40:26 »
Non sempre il maiuscolo vuol dire rispondere con l'opzione in maiuscolo anche dove in maiuscolo c'è un no prova a rispondere si ..

Non avevo notato gli ultimi "quesiti". :D
Anche a quelli in effetti si risponde di sì mediamente, sono i pacchetti che per l'avanzamento di KDE (e delle sue applicazioni) sono cambiati mantenendo però le loro versioni "vecchie" nei repository (per un minimo di retrocompatibilità immagino); in questo caso essendoci entrambi i pacchetti nei repository di default tiene quelli installati localmente (che però non soddisfano le dipendenze delle applicazioni "nuove" di KDE).
Un circolo di dipendenze insomma, di solito quando pacman chiede di rimuovere qualcosa è perché bisogna farlo per poter aggiornare; per sicurezza ci si può segnare i nomi così se qualcosa non funziona si ha in mano un punto da cui partire.
Laptop: Lenovo Ideapad Flex 14 (2013) // Graphics: Intel HD Haswell - Free Driver // DE: KDE Plasma 5 // Kernel: Linux 4.6 // Branch: Testing
PC: Graphics: ATI Radeon X1600 PRO - Free Driver // WM: i3 // Kernel: Linux 4.4 // Branch: Stable

Offline emmedi

  • Neuling
  • *
  • Posts: 35
  • I'm new. Be nice!
  • Branch: stable
  • Desktop: KDE
  • GPU Card: RS780D [Radeon HD 3300]
  • GPU driver: free
  • Skill: Novice
Re: Aggiornamento sistema con quesiti
« Reply #5 on: 30. August 2015, 08:21:53 »
Per quanto riguarda il notebook indietro di due aggiornamenti tutto è filato liscio scegliendo le risposte proposte in maiuscolo.

comunque da 0.8.12 ad oggi in kde è cambiato il mondo .. se non hai mai aggiornato speriamo bene ..
Non era niente di importante... ho un secondo disco che utilizzo solo per provare distribuzioni e per alcune mi capita di aggiornarle sporadicamente... Poi di manjaro ho anche la testing oltre alla stable che utilizzo normalmene.

Buona domenica  :)